<div id="ParcelGP" style="display:none" class="well NrlDialog" data-ng-controller="ParcelGP.PageController" data-on-key-down="navigateBackward()" data-keys="[27]">
    <div data-on-key-down="onEscWhileInDialog()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div id="ParcelGP_ControllerGrpParcelClas" data-ng-controller="ParcelGP.ControllerGrpParcelClas" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
            <div class="FormArea"  >
                <table>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpParcelClas_itm__parcIdentifier"  data-ng-bind="getALString('Parcel Identifier')"  data-ng-class="!true&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpParcelClas_itm__parcCode"  data-ng-bind="getALString('Parcel Code')"  data-ng-class="!true&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpParcelClas_itm__prodCode"  data-ng-bind="getALString('Producer Code')"   />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpParcelClas_itm__clasId_name"  data-ng-bind="getALString('Classification Name')"   />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpParcelClas_itm__clasId_description"  data-ng-bind="getALString('Classification Description')"   />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpParcelClas_itm__clasId_year"  data-ng-bind="getALString('Year')"   />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpParcelClas_itm__parcIdentifier' data-ng-model='modelGrpParcelClas.selectedEntities[0].parcIdentifier' data-np-ui-model='modelGrpParcelClas.selectedEntities[0]._parcIdentifier' data-ng-change='markEntityAsUpdated(modelGrpParcelClas.selectedEntities[0],&quot;parcIdentifier&quot;)' data-np-required='true' data-ng-readonly='true' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpParcelClas_itm__parcCode' data-ng-model='modelGrpParcelClas.selectedEntities[0].parcCode' data-np-ui-model='modelGrpParcelClas.selectedEntities[0]._parcCode' data-ng-change='markEntityAsUpdated(modelGrpParcelClas.selectedEntities[0],&quot;parcCode&quot;)' data-np-required='true' data-ng-readonly='true' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpParcelClas_itm__prodCode' data-ng-model='modelGrpParcelClas.selectedEntities[0].prodCode' data-np-ui-model='modelGrpParcelClas.selectedEntities[0]._prodCode' data-ng-change='markEntityAsUpdated(modelGrpParcelClas.selectedEntities[0],&quot;prodCode&quot;)' data-ng-readonly='true' data-np-number='dummy' data-np-decimals='0' data-np-decSep=',' data-np-thSep='' class='ngCellNumber' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpParcelClas_itm__clasId_name' data-ng-model='modelGrpParcelClas.selectedEntities[0].clasId.name' data-np-ui-model='modelGrpParcelClas.selectedEntities[0].clasId._name' data-ng-change='markEntityAsUpdated(modelGrpParcelClas.selectedEntities[0],&quot;clasId.name&quot;)' data-ng-readonly='true' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpParcelClas_itm__clasId_description' data-ng-model='modelGrpParcelClas.selectedEntities[0].clasId.description' data-np-ui-model='modelGrpParcelClas.selectedEntities[0].clasId._description' data-ng-change='markEntityAsUpdated(modelGrpParcelClas.selectedEntities[0],&quot;clasId.description&quot;)' data-ng-readonly='true' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpParcelClas_itm__clasId_year' data-ng-model='modelGrpParcelClas.selectedEntities[0].clasId.year' data-np-ui-model='modelGrpParcelClas.selectedEntities[0].clasId._year' data-ng-change='markEntityAsUpdated(modelGrpParcelClas.selectedEntities[0],&quot;clasId.year&quot;)' data-ng-readonly='true' data-np-number='dummy' data-np-decimals='0' data-np-decSep=',' data-np-thSep='' class='ngCellNumber' />
                        </td>
                    </tr>
                </table>
            </div>
            <div style='margin:1em 0'></div>
            <div id="ParcelGP_ControllerGrpParcelsIssues" data-ng-controller="ParcelGP.ControllerGrpParcelsIssues" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                    <div class="TopGridArea">
                        <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                        <button data-ng-click="model.showSearchParams=!model.showSearchParams" data-ng-class="'FiltersOn'" ><i class="icon filter" />{{getALString("Show Filters")}}</button>
                        <h3>{{getALString(gridTitle())}}</h3>
                    </div>
                    <div class="GridSearchArea" data-ng-show="model.showSearchParams">
                        <table>
                            <tr>
                                <td colspan="1" style="width:16%" >
                                    <label class="pull-left" for="GrpParcelsIssues_srchr__fsch_status"  data-ng-bind="getALString('Current Status')"   />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <label class="pull-left" for="GrpParcelsIssues_srchr__fsch_dteStatusUpdate"  data-ng-bind="getALString('Date Updated')"   />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <label class="pull-left" for="GrpParcelsIssues_srchr__fsch_dteCreated"  data-ng-bind="getALString('Date Created')"   />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <label class="pull-left" for="GrpParcelsIssues_srchr__type"  data-ng-bind="getALString('Type')"   />
                                </td>
                                <td colspan="1"  >
                                </td>
                                <td colspan="1"  >
                                </td>
                            </tr>
                            <tr>
                                <td colspan="1" style="width:16%" >
                                    <input name='GrpParcelsIssues_srchr__fsch_status' data-ng-model='modelGrpParcelsIssues.fsch_status' data-np-ui-model='modelGrpParcelsIssues._fsch_status' data-ng-readonly='true' data-np-number='dummy' data-np-min='0' data-np-max='32767' data-np-decimals='0' data-np-decSep=',' data-np-thSep='' class='ngCellNumber' />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <input name='GrpParcelsIssues_srchr__fsch_dteStatusUpdate' data-ng-model='modelGrpParcelsIssues.fsch_dteStatusUpdate' data-np-ui-model='modelGrpParcelsIssues._fsch_dteStatusUpdate' data-ng-readonly='true' data-np-date='dummy' data-np-format='dd-MM-yyyy' />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <input name='GrpParcelsIssues_srchr__fsch_dteCreated' data-ng-model='modelGrpParcelsIssues.fsch_dteCreated' data-np-ui-model='modelGrpParcelsIssues._fsch_dteCreated' data-ng-readonly='true' data-np-date='dummy' data-np-format='dd-MM-yyyy' />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <select name='GrpParcelsIssues_srchr__type' data-ng-model='modelGrpParcelsIssues.type' data-np-ui-model='modelGrpParcelsIssues._type' data-np-select='dummy' data-ng-options='x.value as x.label for x in [{label:getALString("DropDownList_ChooseOne"), value:null}, {label:getALString("Uknown"), value:0}, {label:getALString("Crop doesn&#39;t match"), value:1}, {label:getALString("Land Cover doesn&#39;t match"), value:2}, {label:getALString("Crop n Land Cover don&#39;t match"), value:3}]' data-ng-disabled='true' />
                                </td>
                                <td colspan="1"  >
                                </td>
                                <td colspan="1"  >
                                </td>
                            </tr>
                        </table>
                        <div class="GridSearchAreaFooter">
                            <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                            <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                        </div>
                    </div>
                    <div data-on-key-down="gridPageDown()" data-keys="[34]">
                        <div id="GrpParcelsIssues_tableId" data-ng-grid="modelGrpParcelsIssues.grid" class="gridStyle">
                        </div>
                    </div>
                </div>
                <div style='margin:1em 0'></div>
                <div id="ParcelGP_ControllerGrpGpDecision" data-ng-controller="ParcelGP.ControllerGrpGpDecision" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                    <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                        <div class="TopGridArea">
                            <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                            <button data-ng-click="model.showSearchParams=!model.showSearchParams" data-ng-class="'FiltersOn'" ><i class="icon filter" />{{getALString("Show Filters")}}</button>
                            <h3>{{getALString(gridTitle())}}</h3>
                        </div>
                        <div class="GridSearchArea" data-ng-show="model.showSearchParams">
                            <table>
                                <tr>
                                    <td colspan="1" style="width:16%" >
                                        <label class="pull-left" for="GrpGpDecision_srchr__fsch_cultId"  data-ng-bind="getALString('Presumed Crop')"   />
                                    </td>
                                    <td colspan="1" style="width:16%" >
                                        <label class="pull-left" for="GrpGpDecision_srchr__fsch_cotyId"  data-ng-bind="getALString('Presumed Land Cover')"   />
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="1" style="width:16%" >
                                        <div data-on-key-down='!GrpGpDecision_srchr__fsch_cultId_disabled() && showLov_GrpGpDecision_srchr__fsch_cultId()' data-keys='[123]' >
                                        <input data-np-source='modelGrpGpDecision.fsch_cultId.name' data-np-ui-model='modelGrpGpDecision._fsch_cultId'  data-np-context=''  data-np-lookup="" class='npLovInput' name='GrpGpDecision_srchr__fsch_cultId' readonly='true'  > 
                                        <button class='npLovButton' type='button' data-np-click='showLov_GrpGpDecision_srchr__fsch_cultId()'   data-ng-disabled="GrpGpDecision_srchr__fsch_cultId_disabled()"   /> 
                                        </div>
                                    </td>
                                    <td colspan="1" style="width:16%" >
                                        <div data-on-key-down='!GrpGpDecision_srchr__fsch_cotyId_disabled() && showLov_GrpGpDecision_srchr__fsch_cotyId()' data-keys='[123]' >
                                        <input data-np-source='modelGrpGpDecision.fsch_cotyId.name' data-np-ui-model='modelGrpGpDecision._fsch_cotyId'  data-np-context=''  data-np-lookup="" class='npLovInput' name='GrpGpDecision_srchr__fsch_cotyId' readonly='true'  > 
                                        <button class='npLovButton' type='button' data-np-click='showLov_GrpGpDecision_srchr__fsch_cotyId()'   data-ng-disabled="GrpGpDecision_srchr__fsch_cotyId_disabled()"   /> 
                                        </div>
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                </tr>
                            </table>
                            <div class="GridSearchAreaFooter">
                                <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                                <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                            </div>
                        </div>
                        <div data-on-key-down="gridPageDown()" data-keys="[34]">
                            <div id="GrpGpDecision_tableId" data-ng-grid="modelGrpGpDecision.grid" class="gridStyle">
                            </div>
                        </div>
                    </div>
                </div>
                <div style='margin:1em 0'></div>
                <div id="ParcelGP_ControllerGrpGpRequestsContexts" data-ng-controller="ParcelGP.ControllerGrpGpRequestsContexts" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                    <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                        <div class="TopGridArea">
                            <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                            <button data-ng-click="model.showSearchParams=!model.showSearchParams" data-ng-class="'FiltersOn'" ><i class="icon filter" />{{getALString("Show Filters")}}</button>
                            <h3>{{getALString(gridTitle())}}</h3>
                        </div>
                        <div class="GridSearchArea" data-ng-show="model.showSearchParams">
                            <table>
                                <tr>
                                    <td colspan="1" style="width:16%" >
                                        <label class="pull-left" for="GrpGpRequestsContexts_srchr__fsch_hash"  data-ng-bind="getALString('hash')"   />
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="1" style="width:16%" >
                                        <input name='GrpGpRequestsContexts_srchr__fsch_hash' data-ng-model='modelGrpGpRequestsContexts.fsch_hash' data-np-ui-model='modelGrpGpRequestsContexts._fsch_hash' data-ng-readonly='GrpGpRequestsContexts_srchr__fsch_hash_disabled()' data-np-text='dummy' />
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                    <td colspan="1"  >
                                    </td>
                                </tr>
                            </table>
                            <div class="GridSearchAreaFooter">
                                <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                                <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                            </div>
                        </div>
                        <div data-on-key-down="gridPageDown()" data-keys="[34]">
                            <div id="GrpGpRequestsContexts_tableId" data-ng-grid="modelGrpGpRequestsContexts.grid" class="gridStyle">
                            </div>
                        </div>
                    </div>
                    <div style='margin:1em 0'></div>
                    <div id="ParcelGP_ControllerGrpGpUpload" data-ng-controller="ParcelGP.ControllerGrpGpUpload" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                        <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                            <div class="TopGridArea">
                                <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                                <button data-ng-click="model.showSearchParams=!model.showSearchParams" data-ng-class="'FiltersOn'" ><i class="icon filter" />{{getALString("Show Filters")}}</button>
                                <h3>{{getALString(gridTitle())}}</h3>
                            </div>
                            <div class="GridSearchArea" data-ng-show="model.showSearchParams">
                                <table>
                                    <tr>
                                        <td colspan="1" style="width:16%" >
                                            <label class="pull-left" for="GrpGpUpload_srchr__fsch_dteUpload"  data-ng-bind="getALString('Date Uploaded')"   />
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="1" style="width:16%" >
                                            <input name='GrpGpUpload_srchr__fsch_dteUpload' data-ng-model='modelGrpGpUpload.fsch_dteUpload' data-np-ui-model='modelGrpGpUpload._fsch_dteUpload' data-ng-readonly='GrpGpUpload_srchr__fsch_dteUpload_disabled()' data-np-date='dummy' data-np-format='dd-MM-yyyy' />
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                        <td colspan="1"  >
                                        </td>
                                    </tr>
                                </table>
                                <div class="GridSearchAreaFooter">
                                    <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                                    <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                                </div>
                            </div>
                            <div data-on-key-down="gridPageDown()" data-keys="[34]">
                                <div id="GrpGpUpload_tableId" data-ng-grid="modelGrpGpUpload.grid" class="gridStyle">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div style='margin:1em 0'></div>
            <div class="FormArea" data-ng-show="!GrpParcelClas_0_1_invisible()" >
                <h3>{{getALString("Geotagged Photo")}}</h3>
                <table>
                    <tr>
                        <td colspan="1" style="width:25%" >
                            <div id="vgp">
                            </div>
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div>
            <div class="saveCancel">
                <button  id="saveBtn_id"   data-np-click  ="onSaveBtnAction()" data-ng-class="" 
                data-ng-disabled="saveIsDisabled()"  >
                    <i class="icon save"/>
                    {{getALString(getLabelById('saveBtn_id'))}}
                </button>

                <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
                data-ng-disabled="cancelIsDisabled()"  >
                    <i class="icon back"/>
                    {{getALString(getLabelById('cancelBtn_id'))}}
                </button>

            </div>
        </div>
        <div style="clear:both"></div>
    </div>
</div>
